package com.unipi.talepis.protal2;

import android.content.Intent;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.widget.Button;
import android.widget.TextView;
import android.widget.Toast;

import java.util.zip.Inflater;

public class MainActivity extends AppCompatActivity implements View.OnClickListener {
    Button button1,button2,button3;
    TextView textView1;

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        getMenuInflater().inflate(R.menu.options_menu,menu);
        return super.onCreateOptionsMenu(menu);
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        if (item.getItemId()==R.id.item1)
            Toast.makeText(this,"You pressed Option 1",Toast.LENGTH_LONG).show();
        if (item.getItemId()==R.id.item2)
            Toast.makeText(this,"You pressed Option 2",Toast.LENGTH_LONG).show();
        if (item.getItemId()==R.id.item3)
            button1.setText("Boooo");
        return super.onOptionsItemSelected(item);
    }

    @Override
    protected void onSaveInstanceState(Bundle outState) {
        super.onSaveInstanceState(outState);
        Toast.makeText(this,"State saved!",Toast.LENGTH_SHORT).show();
    }

    @Override
    protected void onRestoreInstanceState(Bundle savedInstanceState) {
        super.onRestoreInstanceState(savedInstanceState);
        Toast.makeText(this,"State restored!",Toast.LENGTH_SHORT).show();
    }

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        button1 = findViewById(R.id.button1);
        button1.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                Toast.makeText(getApplicationContext(),"Button1 pressed",Toast.LENGTH_LONG).show();
            }
        });
        button2 = findViewById(R.id.button2);
        button3 = findViewById(R.id.button3);
        button2.setOnClickListener(this);
        button3.setOnClickListener(this);
        textView1 = findViewById(R.id.textView1);
        textView1.setText(textView1.getText()+"\nOnCreate Event Fired!");
    }

    @Override
    protected void onResume() {
        super.onResume();
        textView1.setText(textView1.getText()+"\nOnResume Event Fired!");
    }

    @Override
    protected void onStart() {
        super.onStart();
        textView1.setText(textView1.getText()+"\nOnStart Event Fired!");
    }

    public void go4(View view){
        /*Button button4 = findViewById(R.id.button4);
        button4.setText("I am pressed!");*/
        Intent intent = new Intent(this,Main2Activity.class);
        intent.putExtra("mymessage","Message from Activity 1");
        startActivity(intent);
        //startActivity(new Intent(this,Main2Activity.class)); //εναλλακτικά
    }
    @Override
    public void onClick(View v) {
        if (v.getId()==R.id.button2)
            button2.setText("Pressed!");
    }
}
